# getFiles

abstract fun getFiles(): FileCollection

Returns a FileCollection which contains the resolved set of files. The returned value is lazy, so dependency resolution is not performed until the contents of the collection are queried.

The FileCollection carries the task dependencies required to build the files in the result, and when used as a task input the files will be built before the task executes.

#### Return

The collection. Never null.